<template lang="pug">
.profile
	container
		.top.is-flex.is-align-items-center.is-justify-content-space-between
			.title-wrap
				title-bar( :content='$t("page.profile.title")' )
			rate
		.tile.is-ancestor
			.tile.is-vertical
				.tile.is-align-items-flex-start
					.tile.is-vertical.is-6
						.tile.is-parent
							.tile.is-child
								p.title {{ $t("page.profile.staking.title") }}
						.tile.is-parent
							stake.tile.is-child
						.tile.is-parent
							my-stakes.tile.is-child
					.tile.is-vertical.is-6
						.tile.is-parent
							.tile.is-child
								p.title {{ $t("page.profile.operations.title") }}
						.tile.is-parent
							inputs.tile.is-child
						.tile.is-parent
							outputs.tile.is-child
				.tile.is-align-items-flex-start
					.tile.is-vertical.is-6
						.tile.is-parent
							.tile.is-child
								p.title {{ $t("page.profile.stat.title") }}
						.tile.is-parent
							stat.tile.is-child
</template>

<script>
export default {
	components: {
		Rate: () => import("@/components/Profile/Rate.vue"),
		Stake: () => import("@/components/Profile/Stake.vue"),
		MyStakes: () => import("@/components/Profile/MyStakes.vue"),
		Inputs: () => import("@/components/Profile/Inputs.vue"),
		Outputs: () => import("@/components/Profile/Outputs.vue"),
		Stat: () => import("@/components/Profile/Stat.vue")
	}
}
</script>

<style lang="scss" scoped>
.top {
	margin-bottom: 2.5rem;
	@include max_tablet {
		flex-direction: column;
		align-items: flex-start!important;
	}
}

.title {
	font-size: 2.0625rem;
	font-weight: 700;
	line-height: 3.0625rem;
}
</style>